> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete custom field

> Delete a custom field of the company and its options.

Version:
v4


## OpenAPI

````yaml openapi-v2.json DELETE /core/v4/custom-fields/{customFieldId}
openapi: 3.0.0
info:
  title: Sesame Public API v2
  description: >-
    Public API v2 — additive surface `/public/{context}/v{N}`,
    endpoint-versioned from v4
  version: 1.0.0
servers:
  - url: https://api.sesamehr.com
    description: Production
security:
  - Bearer: []
paths:
  /core/v4/custom-fields/{customFieldId}:
    delete:
      tags:
        - Custom fields
      summary: Delete custom field
      description: Delete a custom field of the company and its options.
      operationId: DeleteCustomField
      parameters:
        - name: customFieldId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: The custom field was deleted.
        '401':
          description: Missing or invalid API key
        '403':
          description: API consumer lacks permission over the requested resource
        '422':
          description: Validation error
components:
  securitySchemes:
    Bearer:
      type: http
      description: 'Sesame Public API consumer token (Authorization: Bearer <token>)'
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.